## eom-thumbnail eom-thumbnail |

## Functions

void | eom_thumbnail_init ()
GdkPixbuf * | eom_thumbnail_fit_to_size ()
GdkPixbuf * | eom_thumbnail_add_frame ()
GdkPixbuf * | eom_thumbnail_load ()

## Types and Values

#define | EOM_THUMBNAIL_ORIGINAL_WIDTH
#define | EOM_THUMBNAIL_ORIGINAL_HEIGHT

## Description

## Functions

### eom_thumbnail_init ()

    void
    eom_thumbnail_init (void);

### eom_thumbnail_fit_to_size ()

    GdkPixbuf *
    eom_thumbnail_fit_to_size (GdkPixbuf *thumbnail,
                               gint dimension);

### eom_thumbnail_add_frame ()

    GdkPixbuf *
    eom_thumbnail_add_frame (GdkPixbuf *thumbnail);

### eom_thumbnail_load ()

    GdkPixbuf *
    eom_thumbnail_load (EomImage *image,
                        GError **error);

## Types and Values

### EOM_THUMBNAIL_ORIGINAL_WIDTH

    #define EOM_THUMBNAIL_ORIGINAL_WIDTH  "eom-thumbnail-orig-width"

### EOM_THUMBNAIL_ORIGINAL_HEIGHT

    #define EOM_THUMBNAIL_ORIGINAL_HEIGHT "eom-thumbnail-orig-height"